      1 /*! Fabric.js Copyright 2010, Bitsonnet (Juriy Zaytsev, Maxim Chernyak) */
      2
      3 var fabric = fabric || { version: 0.1 };
      4
      5 /**
      6  * Wrapper around `console.log` (when available)
      7  * @method log
      8  * @param {Any} Values to log
      9  */
     10 fabric.log = function() { };
     11
     12 /**
     13  * Wrapper around `console.warn` (when available)
     14  * @method warn
     15  * @param {Any} Values to log as a warning
     16  */
     17 fabric.warn = function() { };
     18
     19 if (typeof console !== 'undefined') {
     20   if (typeof console.log !== 'undefined' && console.log.apply) {
     21     fabric.log = function() {
     22       return console.log.apply(console, arguments);
     23     };
     24   }
     25   if (typeof console.warn !== 'undefined' && console.warn.apply) {
     26     fabric.warn = function() {
     27       return console.warn.apply(console, arguments);
     28     };
     29   }
     30 }
     31
     32 //= require "lib/json2"
     33
     34 //= require "src/util"
     35 //= require "src/parser"
     36
     37 //= require "src/point.class"
     38 //= require "src/intersection.class"
     39
     40 //= require "src/color.class"
     41
     42 //= require "src/element.class"
     43
     44 //= require "src/object.class"
     45 //= require "src/line.class"
     46 //= require "src/circle.class"
     47 //= require "src/triangle.class"
     48 //= require "src/ellipse.class"
     49 //= require "src/rect.class"
     50 //= require "src/polyline.class"
     51 //= require "src/polygon.class"
     52
     53 //= require "src/path.class"
     54 //= require "src/path_group.class"
     55
     56 //= require "src/group.class"
     57
     58 //= require "src/text.class"
     59
     60 //= require "src/image.class"